Skip to main content
POST
Create an entity comment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

entity_type
string
required

Entity type, letters, digits, _ or -.

entity_id
string
required

Entity id, same character set.

Body

application/json
body
string
required

Up to 20,000 characters.

Maximum string length: 20000
reply_id
string
visibility
enum<string>
default:private
Available options:
private,
shared
counterparty_account_id
string

Required for a shared comment.

target
object

A part of the entity the comment is about.

mentions
string[]

With counterparty_mentions, at most 50.

counterparty_mentions
string[]
attachments
string[]

Workspace file paths copied onto the comment (max 20).

Maximum array length: 20

Response

The comment

id
string
body
string
author
string
author_name
string
account_id
string
reply_id
string
visibility
enum<string>
Available options:
private,
shared
counterparty_account_id
string
entity
object
target
object
mentions
string[]
counterparty_mentions
string[]
attachments
string[]
created_at
string<date-time>
updated_at
string<date-time>
reactions
object
read-only